<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN"
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
    xmlns:h="http://java.sun.com/jsf/html"
    xmlns:f="http://java.sun.com/jsf/core"
    xmlns:ui="http://java.sun.com/jsf/facelets"
    xmlns:p="http://primefaces.org/ui"
    xmlns:c="http://java.sun.com/jstl/core">
<h:head>
	<link rel="icon" type="image/png" sizes="16x16" href="#{request.contextPath}/recursos/assets/images/favicon.png"/>
    <title>Tablero de Mando - Carga de Datos</title>
    <meta charset="utf-8"/>
    <meta http-equiv="X-UA-Compatible" content="IE=edge"/>
    <meta name="viewport" content="width=device-width, initial-scale=1"/>
    <meta name="description" content=""/>
    <meta name="author" content=""/>
    <title>BEBOSS</title>
    <!-- Custom CSS -->
    <link href="#{request.contextPath}/recursos/dist/css/style.css" rel="stylesheet"/>
    <link href="#{request.contextPath}/recursos/assets/icons/simple-line-icons/css/simple-line-icons.css" rel="stylesheet" />
	<link href="#{request.contextPath}/recursos/assets/icons/themify-icons/themify-icons.css" rel="stylesheet" />
    <link href="#{request.contextPath}/recursos/assets/icons/font-awesome/css/fontawesome-all.css" rel="stylesheet"/>
    
    <script src="#{request.contextPath}/recursos/assets/popper/popper.min.js"></script>
    <script src="#{request.contextPath}/recursos/assets/bootstrap/js/bootstrap.min.js"></script>
    <script src="#{request.contextPath}/recursos/dist/js/perfect-scrollbar.jquery.min.js"></script>
    <script src="#{request.contextPath}/recursos/dist/js/waves.js"></script>
    <script src="#{request.contextPath}/recursos/dist/js/sidebarmenu.js"></script>
    
    <style>
	    .table.table-bordered.text-center {
		    border: 1px solid #ccc;
		    border-radius: 5px;
		    box-shadow: 1px 1px 1px #ccc;
		}
		td:nth-child(2n) {
		    background-color:#fff!important;
		}
		td:nth-child(odd) {
		    background-color:#f2f2f2;
		}
		td:nth-child(even) {
		    background-color:#d9d9d6;
		}
		.form-control:disabled, .form-control[readonly] {
		    background-color: #fff;
		    opacity: 1;
		}

		.list-group-item {background: transparent;}
    	.titulos {color: #0C61A0; margin-bottom: 0;}

        .tabla-1 tr,
        .tabla-1 th {
            padding: 2px;
        }

    	.card-deck .card-body { flex: 1 1 auto; padding: .75rem;}    

        .tabla-1 {
            border-spacing: 15px;
            border-collapse: separate;
        }
        
        .badge.badge-pill {
		    padding: 1px 7px;
		}
        
        .tabla-1 thead th {
            vertical-align: bottom;
            border-bottom: 0;
        }
        
        .tabla-1 td,
        .tabla-1 th {
            padding: 5px;
            vertical-align: middle;
            border-top: 0;
        }
        
        .tabla-1 td {
            border-bottom: 1px dotted #ccc;
        }
        
         .card {
		    position: relative;
		    display: -webkit-box;
		    display: -ms-flexbox;
		    display: flex;
		    -webkit-box-orient: vertical;
		    -webkit-box-direction: normal;
		    -ms-flex-direction: column;
		    flex-direction: column;
		    min-width: 0;
		    word-wrap: break-word;
		    background-color: #fff;
		    background-clip: border-box;
		    border: 1px solid rgba(0,0,0,.125);
		}
		.card-rounded {border-radius: .75rem;}
		.shadow-sm {
		    box-shadow: 0 .125rem .25rem rgba(0,0,0,.075)!important;
		}
        
        .card-deck .card {
            border: 1px solid #ccc;
            border-radius: 5px;
            box-shadow: 1px 1px 1px #ccc;
            margin-right: 5px;
            margin-left: 5px;
        }
        
        .card-title {
            height: 35px;
        }
        
        .list-group-item {
            border: 0;
        }
        
        thead {
            text-transform: uppercase;
        }
        
        .list-group input {
            margin: -10px 0;
            text-align: center;
        }
        
        .form-control-sm {
            max-width: 75px;
        }
        .w-40 {
            width: 40%;
        }
        
        .ui-growl {
		    position: fixed; /* or absolute */
			top: 50%;
			left: 50%;
			margin-top: -50px;
  			margin-left: -100px;
		    z-index:9999;
		    border-radius:15px;
		    background-color:#FFFFFF;
		}
        
    </style>
</h:head>
<h:body styleClass="skin-blue fixed-layout">
	<div class="preloader">
		<div class="loader">
			<div class="loader__figure"></div>
			<p class="loader__label">BEBOSS</p>
		</div>
	</div>
	<div id="main-wrapper">
		<header class="topbar">
			<nav class="navbar top-navbar navbar-expand-md navbar-dark">
				<div class="navbar-header">
					<a class="navbar-brand" href="#">
						<b>
                            <h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-icon.png" alt="homepage" class="dark-logo" />
                            <h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-light-icon.png" class="light-logo" />
                        </b>
						<span>
                            <img src="#{request.contextPath}/recursos/assets/images/logo-text.png" alt="homepage" class="dark-logo" />
                            <img src="#{request.contextPath}/recursos/assets/images/logo-light-text.png" class="light-logo" alt="homepage" />
                        </span>
					</a>
				</div>
				<div class="navbar-collapse">
					<ul class="navbar-nav mr-auto">
						<!-- This is  -->
						<li class="nav-item"> <a class="nav-link nav-toggler d-block d-md-none waves-effect waves-dark" href="javascript:void(0)"><i class="ti-menu"></i></a> </li>
						<li class="nav-item"> <a class="nav-link sidebartoggler d-none d-lg-block d-md-block waves-effect waves-dark" href="javascript:void(0)"><i class="icon-menu"></i></a> </li>
					</ul>
					<ul class="navbar-nav my-lg-0">
						<h:form id="frmDrillDown">
							<p:panel rendered="#{cargaDatosBean.usuarioDrillDown eq null}">
								<li class="nav-item dropdown u-pro">
									<a class="nav-link dropdown-toggle waves-effect waves-dark profile-pic" href="" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false"><span class="hidden-md-down">#{cargaDatosBean.usuario.nombreCompletoUsuario}<i class="fa fa-angle-down"></i></span> </a>
									<div class="dropdown-menu dropdown-menu-right animated flipInY">
							        	<p:commandLink actionListener="#{loginBean.logoutAction}" styleClass="dropdown-item"><i class="fa fa-power-off"></i> Cerrar Sesión</p:commandLink>
		        					</div>
								</li>
							</p:panel>
							<p:panel rendered="#{cargaDatosBean.usuarioDrillDown ne null}">
								<p:commandLink style="color: white;font-size: 14px;" value="#{cargaDatosBean.usuarioDrillDown.getPerfil()}: #{cargaDatosBean.usuarioDrillDown.getNombres()}"/><p:spacer width="20px" />
								<p:commandLink actionListener="#{loginBean.volverPerfil}" style="color: white;font-size: 14px;" value="VOLVER A MI PERFIL" />
							</p:panel>
						</h:form>
					</ul>
				</div>
			</nav>
		</header>
		<h:form>
			<aside class="left-sidebar">
				<!-- Sidebar scroll-->
				<div class="scroll-sidebar">
					<!-- Sidebar navigation-->
					<nav class="sidebar-nav">
						<ul id="sidebarnav">
						    <li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/perfil')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="icon-user"></i><span class="hide-menu">Perfil</span>
							    </p:commandLink>
							</li>	
							<c:if test="#{perfilBean.esAsesor}">
								<li>
									<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/cargaDatosAs')}" styleClass="has-arrow waves-effect waves-dark active">
								       <i class="fas fa-upload"></i><span class="hide-menu">Carga de Datos</span>
								    </p:commandLink>		
								</li>
							</c:if>
							<c:if test="#{perfilBean.esAsesorODrillDownAsesor}">	
								<li>
									<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/sueldo')}" styleClass="has-arrow waves-effect waves-dark">
								       <i class="fas fa-calendar-check"></i><span class="hide-menu">Sueldo Mes Actual</span>
								    </p:commandLink>		
								</li>
							</c:if>
							<li>
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/tableroMando')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="ti-eye"></i><span class="hide-menu">Tablero de Mando</span>
							    </p:commandLink>		
							</li>
							<li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/mixProd')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="ti-layout-grid2"></i><span class="hide-menu">Mix de Productos</span>
							    </p:commandLink>
							</li>
							<li> 
								<p:commandLink ajax="true" onclick="$('.preloader').fadeIn();" actionListener="#{loginBean.cleanBeanAndRedirect('/funnel')}" styleClass="has-arrow waves-effect waves-dark">
							       <i class="fa fa-filter"></i><span class="hide-menu">Funnel Actividades</span>
							    </p:commandLink>
							</li>
						</ul>
					</nav>
				</div>
			</aside>
		</h:form>
		
		<div class="page-wrapper">
             <div class="container-fluid">
                <div class="row page-titles">
                    <div class="col-md-5 align-self-center">
                        <h4 class="text-themecolor">CARGA DE DATOS</h4>
                        <p class="m-b-0"> </p>
                    </div>
                    <div class="col-md-7 align-self-center text-right">
                        <div class="d-flex justify-content-end align-items-center">
                            <ol class="breadcrumb">
                                <li class="breadcrumb-item"><a href="javascript:void(0)">Inicio</a></li>
                                <li class="breadcrumb-item active">Carga de Datos</li>
                            </ol>
                        </div>
                    </div>
                </div>
				<h:form>
					<p:growl id="growl" life="2000" />
	                <div class="row">
	                    <div class="col-12 m-t-30">
	                        <div class="card card-rounded bt-switch shadow-md">
	                        	<div class="card-body">
	                        		<div class="row">
			                            <div class="col-lg-6">
			                                <h3 class="titulos">Funnel de Actividades</h3>
			                                <p class="font-12 mb-4">Carga tus acciones comerciales diarias</p>
			                            </div>
			                            <div class="col-lg-6 text-right">
			                                <button type="button" class="btn btn-rounded waves-effect waves-light btn-outline-info">Tramo <span class="badge badge-pill badge-info ml-auto">#{cargaDatosBean.tramo}</span></button>
			                                <button type="button" class="btn btn-rounded waves-effect waves-light btn-outline-info">Bono #{cargaDatosBean.bono}%</button>
			                            </div>
		                            </div>
		                            <div class="card-deck">
		                                <ui:repeat value="#{cargaDatosBean.listFunnelActividades}" var="listFunnel">
				                           	<div class="card">
			                                    <div class="card-body">
			                                        <h6 class="card-title">#{listFunnel.funnelActividad}</h6>
			                                        <p class="text-center font-18 mt-5">Meta: #{listFunnel.plan}</p>
			                                        <table class="table tabla-1 text-center mt-0">
			                                            <tr>
			                                                <th>Real</th>
			                                                <th>Hoy</th>
			                                            </tr>
			                                            <tr>
			                                                <td>#{listFunnel.real}</td>
			                                                <td><h:inputText value="#{listFunnel.hoy}" onblur="completarCero(this)" disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan ne 'A'}"
			                                                	maxlength="5" required="true" requiredMessage="Debe ingresar dato para #{listFunnel.funnelActividad}" styleClass="form-control form-control-sm" /></td>
			                                            </tr>
			                                        </table>
			                                    </div>
			                                </div>
			                            </ui:repeat>
	                                </div>
	                                <div class="row mt-4">
	                                    <div class="col-lg-6">
	                                    </div>
	                                    <div class="col-lg-6 text-right">
	                	                   <p:commandButton value="Guardar" disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan ne 'A'}"
	                	                   		styleClass="btn btn-rounded waves-effect waves-light btn-info" update="growl" actionListener="#{cargaDatosBean.guardar}"/>
	                                    </div>
	                                </div>
	                         	</div>
	                    	</div>
	                    </div>
	                </div>
                </h:form>

				<h:form>
					<p:growl id="growl" life="2000" />
	                <div class="row">
		                <div class="col-12 m-t-30">
	                    <div class="row">
	                        <div class="col-lg-6">
	                            <h3 class="titulos">Planificación y seguimiento</h3>
	                            <p class="font-12 mb-4">Carga tu planificación mensual y revisa diariamente tus ventas</p>
	                        </div>
	                    </div>
	                	<div class="row">
	                    <div class="col-lg-12">
	                        <div class="card card-rounded bt-switch shadow-md">
	                            <div class="card-body p-b-0">
	                                <ul class="nav nav-tabs customtab" role="tablist">
	                                    <li class="nav-item"> <a class="nav-link active" data-toggle="tab" href="#home2" role="tab"><span class="hidden-sm-up"></span> <span class="hidden-xs-down">PLANIFICACIÓN</span></a> </li>
	                                    <li class="nav-item"> <a class="nav-link" data-toggle="tab" href="#profile2" role="tab"><span class="hidden-sm-up"></span> <span class="hidden-xs-down">DIARIO</span></a> </li>
	                                </ul>
	                            	<div class="tab-content">
	                                	<div class="tab-pane active" id="home2" role="tabpanel">
	                                        <div class="p-40">
	                                            <table class="table table-bordered text-center">
	                                                <thead>
	                                                    <tr>
	                                                        <th width="20%" class="text-center"></th>
	                                                        <th width="20%">Producto</th>
	                                                        <th width="20%">Pólizas (N°)</th>
	                                                        <th width="20%">Prima Básica (UF)</th>
	                                                        <th width="20%">Prima Exceso (UF)</th>
	                                                    </tr>
	                                                </thead>
	                                                <tbody>
	                                                    <tr>
	                                                        <td style="background: #fff" class="align-middle" rowspan="4">
	                                                            <p><button class="btn btn-circle btn-info">P</button></p>
	                                                            <p>PROTECCIÓN</p>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group text-left">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
	                                                            		<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
	                                                            			<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'PROTECCION'}">
				                                                                <li class="list-group-item">#{listSubProductos.getNombreSubProducto()}</li>
			                                                                </ui:fragment>
                                                                        </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'PROTECCION'}">
				                                                                <li class="list-group-item">
				                                                                    <h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}" 
				                                                                    	value="#{listSubProductos.cantidadPolizas}" maxlength="5" placeholder="0" required="true" onblur="completarCero(this)"
				                                                                    	requiredMessage="Debe ingresar dato para #{listSubProductos.nombreSubProducto}" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
	                                                                </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                <ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'PROTECCION'}">
				                                                                <li class="list-group-item">
				                                                                    <h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
				                                                                    	value="#{listSubProductos.primaBasica}" maxlength="5" placeholder="0" required="true" onblur="completarCeroCero(this)"
				                                                                    	requiredMessage="Debe ingresar dato para #{listSubProductos.nombreSubProducto}" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4"> </td>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                        <td style="background: #fff" class="align-middle" rowspan="4">
	                                                            <p><button class="btn btn-circle btn-info">A</button></p>
	                                                            <p>AHORRO</p>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group text-left">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'AHORRO'}">
			                                                                	<li class="list-group-item">#{listSubProductos.nombreSubProducto}</li>
			                                                                </ui:fragment>
		                                                                </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'AHORRO'}">
				                                                                <li class="list-group-item">
				                                                                    <h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
				                                                                    	value="#{listSubProductos.cantidadPolizas}" maxlength="5" placeholder="0" required="true" onblur="completarCero(this)"
				                                                                    	requiredMessage="Debe ingresar dato para #{listSubProductos.nombreSubProducto}" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                            	 <ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'AHORRO'}">
				                                                                <li class="list-group-item">
				                                                                    <h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
				                                                                    	value="#{listSubProductos.primaBasica}" maxlength="5" placeholder="0" required="true" onblur="completarCeroCero(this)"
				                                                                    	requiredMessage="Debe ingresar dato para #{listSubProductos.nombreSubProducto}" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                <ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'AHORRO'}">
				                                                                <li class="list-group-item">
				                                                                    <h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
				                                                                    	value="#{listSubProductos.primaExceso}" maxlength="5" placeholder="0" required="true" onblur="completarCeroCero(this)"
				                                                                    	requiredMessage="Debe ingresar dato para #{listSubProductos.nombreSubProducto}" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                        <td style="background: #fff" class="align-middle">TOTALES</td>
	                                                        <td class="align-middle"></td>
	                                                        <td class="align-middle"><div id="totalPolizas"></div></td>
	                                                        <td class="align-middle"><div id="totalPB"></div></td>
	                                                        <td class="align-middle"><div id="totalPE"></div></td>
	                                                    </tr>
	                                                </tbody>
	                                            </table>
	                                            <table class="table table-bordered text-center w-40">
	                                                <tr>
	                                                    <td style="background: #fff" width="20%">Prima Esporádica </td>
	                                                    <td width="22%"><h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
	                                                    	value="#{cargaDatosBean.infoPlanificaPerAses.primaEsporadica}" maxlength="5" placeholder="0" required="true" onblur="completarCeroCero(this)"
	                                                    	requiredMessage="Debe ingresar dato para prima esporádica" styleClass="form-control form-control-sm" /></td>
	                                                </tr>
	                                                <tr>
	                                                    <td style="background: #fff" width="20%"> Clientes Totales</td>
	                                                    <td width="22%"><h:inputText disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
	                                                    	value="#{cargaDatosBean.infoPlanificaPerAses.totalClientes}" maxlength="5" placeholder="0" required="true" onblur="completarCero(this)"
	                                                    	requiredMessage="Debe ingresar dato para prima esporádica" styleClass="form-control form-control-sm" /></td>
	                                                </tr>
	                                            </table>
	                                        </div>
	                                    </div>
	               	 					<div class="tab-pane p-40" id="profile2" role="tabpanel">
	               	 						<div class="p-40">
	                                            <table class="table table-bordered text-center">
	                                                <thead>
	                                                    <tr>
	                                                        <th rowspan="2" class="text-center"></th>
	                                                        <th rowspan="2">Producto</th>
	                                                        <th colspan="2">Pólizas (N°)</th>
	                                                        <th colspan="2">Prima Básica (UF)</th>
	                                                        <th colspan="2">Prima Exceso (UF)</th>
	                                                    </tr>
	                                                    <tr>
			                                                <th>META</th>
			                                                <th>REAL</th>
			                                                <th>META</th>
			                                                <th>REAL</th>
			                                                <th>META</th>
			                                                <th>REAL</th>
		                                              </tr>
	                                                </thead>
	                                                <tbody>
	                                                    <tr>
	                                                        <td style="background: #fff" class="align-middle" rowspan="4">
	                                                            <p><button class="btn btn-circle btn-info">P</button></p>
	                                                            <p>PROTECCIÓN</p>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group text-left">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
	                                                            		<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
	                                                            			<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'PROTECCION'}">
				                                                                <li class="list-group-item">#{listSubProductos.getNombreSubProducto()}</li>
			                                                                </ui:fragment>
                                                                        </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                            	 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.polizas.productos}" var="producto">
	                                                            	 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                            	 	<ui:fragment rendered="#{producto.nombre eq 'PROTECCION'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputLabel value="#{subProducto.meta}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
		                                                                </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.polizas.productos}" var="producto">
	                                                                 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'PROTECCION'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.real}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
		                                                                </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.primaBasica.productos}" var="producto">
	                                                                 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'PROTECCION'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.meta}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
		                                                                </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.primaBasica.productos}" var="producto">
	                                                                 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'PROTECCION'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.real}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
		                                                              	</ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4"> </td>
	                                                        <td class="align-middle" rowspan="4"> </td>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                        <td style="background: #fff" class="align-middle" rowspan="4">
	                                                            <p><button class="btn btn-circle btn-info">A</button></p>
	                                                            <p>AHORRO</p>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group text-left">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoPlanificaPerAses.getProductos()}" var="listProductos">
                                                            			<ui:repeat value="#{listProductos.getSubProductos()}" var="listSubProductos">
                                                            				<ui:fragment rendered="#{listProductos.getNombreProducto() eq 'AHORRO'}">
			                                                                	<li class="list-group-item">#{listSubProductos.nombreSubProducto}</li>
			                                                                </ui:fragment>
		                                                                </ui:repeat>
			                                                        </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                            	 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.polizas.productos}" var="producto">
	                                                            	 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                            	 	<ui:fragment rendered="#{producto.nombre eq 'AHORRO'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.meta}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                            	<ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.polizas.productos}" var="producto">
	                                                            		<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'AHORRO'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.real}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                        	</ui:repeat>       
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                        <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.primaBasica.productos}" var="producto">
	                                                                 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'AHORRO'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.meta}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                         <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                 <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.primaBasica.productos}" var="producto">
	                                                                 	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'AHORRO'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.real}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                            </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                         <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.primaExceso.productos}" var="producto">
	                                                                	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'AHORRO'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.meta}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
		                                                                </ui:repeat>
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                         <td class="align-middle" rowspan="4">
	                                                            <ul class="list-group">
	                                                                <ui:repeat value="#{cargaDatosBean.infoProdRealPerAses.primaExceso.productos}" var="producto">
	                                                                	<ui:repeat value="#{producto.subProductos}" var="subProducto">
		                                                                 	<ui:fragment rendered="#{producto.nombre eq 'AHORRO'}">
				                                                             	<li class="list-group-item">
				                                                                    <h:outputText value="#{subProducto.real}" placeholder="0" styleClass="form-control form-control-sm" />
				                                                                </li>
			                                                                </ui:fragment>
			                                                        	</ui:repeat>      
		                                                            </ui:repeat>
	                                                            </ul>
	                                                        </td>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                    </tr>
	                                                    <tr>
	                                                        <td style="background: #fff" class="align-middle">TOTALES</td>
	                                                        <td class="align-middle"></td>
	                                                        <td class="align-middle">#{cargaDatosBean.infoProdRealPerAses.polizas.meta}</td>
	                                                        <td class="align-middle">#{cargaDatosBean.infoProdRealPerAses.polizas.real}</td>
	                                                        <td class="align-middle">#{cargaDatosBean.infoProdRealPerAses.primaBasica.meta}</td>
	                                                        <td class="align-middle">#{cargaDatosBean.infoProdRealPerAses.primaBasica.real}</td>
	                                                        <td class="align-middle">#{cargaDatosBean.infoProdRealPerAses.primaExceso.meta}</td>
	                                                        <td class="align-middle">#{cargaDatosBean.infoProdRealPerAses.primaExceso.real}</td>
	                                                    </tr>
	                                                </tbody>
	                                            </table>
	                                            <table class="table table-bordered text-center w-40">
	                                                <tr>
	                                                    <td style="background: #fff" width="20%">Prima Esporádica </td>
	                                                    <td width="22%"><h:outputText value="#{cargaDatosBean.infoProdRealPerAses.primaEsporadica.real}" placeholder="0" styleClass="form-control form-control-sm" /></td>
	                                                </tr>
	                                                <tr>
	                                                    <td style="background: #fff" width="20%"> Clientes Totales</td>
	                                                    <td width="22%"><h:outputText value="#{cargaDatosBean.infoProdRealPerAses.totalClientes.real}" placeholder="0" styleClass="form-control form-control-sm" /></td>
	                                                </tr>
	                                            </table>
	                                        </div>
	               	               		</div>
	                                    </div>
	                                        <div class="row float-right pr-5 mb-5">
	                                        	<p:commandButton value="Validar" disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
	                                        		 update="growl" oncomplete="$('.preloader').fadeOut();" onclick="$('.preloader').fadeIn();"  actionListener="#{cargaDatosBean.validar}" styleClass="btn btn-rounded waves-effect waves-light btn-outline-info mr-2" />
	                                        	<p:commandButton value="Simular" disabled="#{cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'A' or cargaDatosBean.infoPlanificaPerAses.idEstadoPlan eq 'E'}"
	                                        		 update="growl" oncomplete="$('.preloader').fadeOut();" onclick="$('.preloader').fadeIn();" actionListener="#{cargaDatosBean.simular}" styleClass="btn btn-rounded waves-effect waves-light btn-outline-info" />
	                                        </div>
	                                    </div>
	                                </div>
	                            </div>
	                        </div>
	                    </div>
	                </div>
	        	</h:form>
            </div>
        </div>
		<footer class="footer">
			<h:graphicImage url="#{request.contextPath}/recursos/assets/images/logo-beboss.png" alt="homepage" class="mr-2" />  Copyright © 2019 BEBOSS. Todos los derechos reservados.
		</footer>
	</div>
	<script type="text/javascript">
	 //<![CDATA[	
	 $(function() {
	     $(".preloader").fadeOut();
	 });

	 function completarCero(obj){
		if (obj.value == null || obj.value ==''){
			obj.value = "0";
		}
	 }

	 function completarCeroCero(obj){
		if (obj.value == null || obj.value ==''){
			obj.value = "0,00";
		}
	 }
	 //]]>
 </script>
 <script src="#{request.contextPath}/recursos/dist/js/custom.js"></script>
</h:body>
</html>